Subject: [tsvwg] 3GPP TS36.300 with updated ECN section

From: Ingemar Johansson S <[email-masked]>
Date: Mon, 10 Apr 2017 17:47:38 +0000

Hi
In case it is of interest.
Section 11.6 in 3GPP TS 36.300 was recently updated to reference RFC7567, hopefully this should remove the ambiguities.
http://www.3gpp.org/ftp//Specs/archive/36_series/36.300/36300-e20.zip<http://www.3gpp.org/ftp/Specs/archive/36_series/36.300/36300-e20.zip>

The eNB and the UE support of the Explicit Congestion Notification (ECN) is specified in Section 5 of [35] (i.e., the normative part of [35] that applies to the end-to-end flow of IP packets), and below.  ECN is beneficial especially for latency sensitive interactived applications such as chat and gaming as well as for real-time voice and video, this because loss as a congestion signal is avoided, losses that would otherwise necessitate retransmission of packets with additional application delay as a result.
The eNB should set the Congestion Experienced (CE) codepoint ('11') in PDCP SDUs in the downlink direction to indicate downlink (radio) congestion if those PDCP SDUs have one of the two ECN-Capable Transport (ECT) codepoints set. The eNB should set the Congestion Experienced (CE) codepoint ('11') in PDCP SDUs in the uplink direction to indicate uplink (radio) congestion if those PDCP SDUs have one of the two ECN-Capable Transport (ECT) codepoints set. ECN marking should be per the recommendations in [73].

Regards
Ingemar
==================================
Ingemar Johansson  M.Sc.
Master Researcher

Ericsson AB
Wireless Access Networks
Labratoriegränd 11
971 28, Luleå, Sweden
Phone +46-1071 43042
SMS/MMS +46-73 078 3289
[email-masked]<mailto:[email-masked]>
www.ericsson.com

A mistake is to commit a misunderstanding
                     Bob Dylan
==================================